DL_ObjectImpl< BASE, SCHEME_OPTIONS, KEY > Class Template Reference

Discrete Log (DL) object implementation. More...

`#include <pubkey.h>`

Inheritance diagram for DL_ObjectImpl< BASE, SCHEME_OPTIONS, KEY >:

## Public Types

typedef KEY::Element | Element
Public Types inherited from DL_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY >
typedef SCHEME_OPTIONS | SchemeOptions
typedef KEY::Element | Element

## Additional Inherited Members

Public Member Functions inherited from DL_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY >
PrivateKey & | AccessPrivateKey ()
PublicKey & | AccessPublicKey ()
const KEY & | GetKey () const
KEY & | AccessKey ()
Public Member Functions inherited from AlgorithmImpl< BASE, SCHEME_OPTIONS::AlgorithmInfo >
std::string | AlgorithmName () const
| The algorithm name.
Static Public Member Functions inherited from AlgorithmImpl< BASE, SCHEME_OPTIONS::AlgorithmInfo >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

template<class BASE, class SCHEME_OPTIONS, class KEY>
class DL_ObjectImpl< BASE, SCHEME_OPTIONS, KEY >

Discrete Log (DL) object implementation.

Template Parameters

  BASE | TODO
  SCHEME_OPTIONS | options for the scheme
  KEY | key used in the scheme

Definition at line 1996 of file pubkey.h.

## Member Typedef Documentation

## Element

template<class BASE, class SCHEME_OPTIONS, class KEY>

typedef KEY::Element DL_ObjectImpl< BASE, SCHEME_OPTIONS, KEY >::Element

Definition at line 1999 of file pubkey.h.

## Constructor & Destructor Documentation

## ~DL_ObjectImpl()

template<class BASE, class SCHEME_OPTIONS, class KEY>

virtual DL_ObjectImpl< BASE, SCHEME_OPTIONS, KEY >::~DL_ObjectImpl | ( |  | ) |

inline virtual

Definition at line 2001 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h